# Debian GNU/Linux suck package /usr/sbin/get-news config file

# Your default local NNTP server.
# (inn1 note: must be in /etc/news/hosts.nntp)
# (inn2 note: must be in /etc/news/incoming.conf)
server: localhost

# the type of the local server
# servtype inn2 may only work if your inn2 version matches 
#   the version suck was compiled with.
# servtype other may need to set rnews

# servtype: cnews
# servtype: inn1
# servtype: inn2.3
# servtype: other
# servtype: inn2

# The default NNTP server you will connect to. Suck will use
# the defaults files sucknewsrc, suckkillfile and suckothermsgs
# for this default remote server.

remoteserver: news.example.com

# The default outgoing articles file for your default remote server.
# (inn1 & inn2 note: see /etc/news/newsfeeds)

# outgoingfile: news.example.com

# The sed command used for outgoing articles.
sedcmd: /^NNTP-Posting-Host:\|^NNTP-Posting-Date:\|^X-Complaints-To:\|^Xref:\|^X-Trace:\|^X-Server-Date:/d

# The userid to send to the remote server.
#userid:

# This is a per-site username, not a global one, unlike the one above
#news.example.com_userid: foo

# The password to send to the remote server.
#password:

# This is a per-site password, not a global one unlike the one above.
#news.example.com_password: bar

# The remote server port number if not standard.
#remoteport:

# The list of suck options if desired.

suckoptions: -q -n

# The list of rpost options if desired.
# rpostoptions: 

# Per site options.  Those override the normal ones.
# news.example.com_suckoptions:
# news.example.com_rpostoptions:
# news.example.com_remoteport

# some things you probably won't need to change from the defaults

# batchmode: -br
# rnews: /usr/lib/news/input/rnews
# rnews: /usr/bin/rnews
# bindir: /usr/bin
# etcdir: /etc/suck
# logdir: /var/log/suck
# process: gp
# quiet: 0
# remoteport: 119
# spooldir: /var/spool/suck
# statedir: /var/lib/suck
# timestamp: 0
# verbose: 0
